package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 车辆作战信息
 * </p>
 *
 * @author ya
 * @since 2021-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class JcjZzclxx implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 车辆作战信息ID
     */
    @TableId("ID")
    private String id;

    /**
     * 消防机构ID
     */
    @TableField("JGXX_XFJG_ID")
    private String jgxxXfjgId;

    /**
     * 处警记录ID
     */
    @TableField("JCJ_CJJL_ID")
    private String jcjCjjlId;

    /**
     * 车辆ID
     */
    @TableField("CLZBQC_CLXX_ID")
    private String clzbqcClxxId;

    /**
     * 装备类型代码
     */
    @TableField("ZBLXDM")
    private String zblxdm;

    @TableField("ZZGNMC")
    private String zzgnmc;

    /**
     * 作战功能代码
     */
    @TableField("ZZGNDM")
    private String zzgndm;

    /**
     * 通知时间
     */
    @TableField("TZSJ")
    private LocalDateTime tzsj;

    /**
     * 出动时间
     */
    @TableField("CDSJ")
    private LocalDateTime cdsj;

    /**
     * 到场时间
     */
    @TableField("DCSJ")
    private LocalDateTime dcsj;

    /**
     * 出水时间
     */
    @TableField("CSSJ")
    private LocalDateTime cssj;

    /**
     * 停水时间
     */
    @TableField("TSSJ")
    private LocalDateTime tssj;

    /**
     * 返队时间
     */
    @TableField("FDSJ")
    private LocalDateTime fdsj;

    /**
     * 实际出动时间
     */
    @TableField("SJCDSJ")
    private LocalDateTime sjcdsj;

    /**
     * 驾驶员
     */
    @TableField("JSY")
    private String jsy;

    /**
     * 驾驶员id
     */
    @TableField("JSYID")
    private String jsyid;

    /**
     * 指挥员
     */
    @TableField("ZHY")
    private String zhy;

    /**
     * 指挥员id
     */
    @TableField("ZHYID")
    private String zhyid;

    /**
     * 通讯员
     */
    @TableField("TXY")
    private String txy;

    /**
     * 通讯员id
     */
    @TableField("TXYID")
    private String txyid;

    /**
     * 战士人员
     */
    @TableField("ZSRY")
    private String zsry;

    /**
     * 战士人员id
     */
    @TableField("ZSRYID")
    private String zsryid;

    /**
     * 车辆简称
     */
    @TableField("CLJC")
    private String cljc;

    /**
     * 时间戳
     */
    private LocalDateTime sjc;

    /**
     * 记录状态
     */
    private String jlzt;

    private LocalDateTime created;

    private LocalDateTime updated;

    /**
     * 主管中队
     */
    private String zgzd;

    /**
     * 机构简称
     */
    private String jgjc;

    /**
     * 案件id
     */
    @TableField("AJID")
    private String ajid;

    @TableField("DTHH")
    private String dthh;


}
